package model

type NewUserRedPackageWithUserRecords struct {
	Id            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid           int64  `json:"uid" xorm:"not null default 0 comment('uid') BIGINT(20)"`
	TotalAmount   string `json:"total_amount" xorm:"not null comment('金额') DECIMAL(10,2)"`
	Days          int    `json:"days" xorm:"not null default 1 comment('天数') TINYINT(3)"`
	BalanceAmount string `json:"balance_amount" xorm:"not null comment('剩余金额') DECIMAL(10,2)"`
	BalanceDays   int    `json:"balance_days" xorm:"not null default 0 comment('剩余天数') TINYINT(3)"`
	ReceiveDays   int    `json:"receive_days" xorm:"not null default 0 comment('领取天数') TINYINT(3)"`
	State         int    `json:"state" xorm:"not null default 1 comment('状态(0:待领取 1:领取中 2:已领取 3:已冻结)') TINYINT(1)"`
	CreateAt      string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt      string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
