package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

type UserTagRecordsDao interface {
	//TODO:: You can add specific method definitions here
	UserTagRecordsGetOneByParams(params map[string]interface{}) (*model.UserTagRecords, error)
	UserTagRecordsUpdateBySession(session *xorm.Session, uid interface{}, user *model.UserTagRecords, forceColumns ...string) (int64, error)
	UserTagRecordsDeleteBySession(session *xorm.Session, params map[string]interface{}) (int64, error)
	UserTagRecordsBatchInsertBySession(session *xorm.Session, userTagRecord []*model.UserTagRecords) (int64, error)
	UserTagRecordsFindByParams(params map[string]interface{}) (*[]model.UserTagRecords, error)
}
