package model

type UserTagRecords struct {
	Id       int    `json:"id" xorm:"not null pk autoincr comment('主键') INT(11)"`
	TagId    int    `json:"tag_id" xorm:"not null default 0 INT(11)"`
	Uid      int64  `json:"uid" xorm:"not null default 0 comment('关联UserID') BIGINT(20)"`
	Memo     string `json:"memo" xorm:"not null default '' comment('备注') CHAR(50)"`
	CreateAt string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
